> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/databases/postgresql-v2/backups/retrieve-backup.md).

# Retrieve Backup

Returns the Backup by ID.

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD DBaaS PostgreSQL","version":"2.0.0"},"tags":[{"name":"Backups","description":"Access and manage PITR backups for your PostgreSQL clusters through the IONOS CLOUD API.\nPITR allows the cluster to be restored to any specific moment within the backup window. Use `earliestRecoveryTargetTime` to identify the earliest available restore point and `latestRecoveryTargetTime` to identify the latest.\nThis tag groups all operations for backups.\n"}],"servers":[{"url":"https://postgresql.de-txl.ionos.com/v2","description":"Germany, Berlin"},{"url":"https://postgresql.de-fra.ionos.com/v2","description":"Germany, Frankfurt (de-fra)"},{"url":"https://postgresql.fr-par.ionos.com/v2","description":"France, Paris"},{"url":"https://postgresql.es-vit.ionos.com/v2","description":"Spain, Logroño"},{"url":"https://postgresql.gb-lhr.ionos.com/v2","description":"United Kingdom, London"},{"url":"https://postgresql.gb-bhx.ionos.com/v2","description":"United Kingdom, Worcester"},{"url":"https://postgresql.us-las.ionos.com/v2","description":"United States, Las Vegas"},{"url":"https://postgresql.us-mci.ionos.com/v2","description":"United States, Lenexa"},{"url":"https://postgresql.us-ewr.ionos.com/v2","description":"United States, Newark"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"BackupRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Backup.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["backup"]},"href":{"description":"The URL of the Backup.","type":"string"},"metadata":{"$ref":"#/components/schemas/NoMetadata"},"properties":{"$ref":"#/components/schemas/Backup"}}},"NoMetadata":{"type":"object","additionalProperties":false,"readOnly":true},"Backup":{"type":"object","readOnly":true,"description":"Access Point-in-Time Recovery backup metadata for a cluster, including the recovery window, backup location, and active backup status.","properties":{"clusterId":{"type":"string","format":"uuid","description":"The unique identifier of the cluster this backup belongs to."},"clusterName":{"type":"string","readOnly":true,"description":"The name of the PostgreSQL cluster this backup belongs to."},"postgresClusterVersion":{"type":"string","description":"The PostgreSQL version of the cluster at backup time."},"isActive":{"type":"boolean","description":"Whether this is the currently active backup for the cluster."},"earliestRecoveryTargetTime":{"type":"string","format":"date-time","description":"Returned as an ISO 8601 timestamp that identifies the earliest point in time to which the cluster can be restored from this backup."},"latestRecoveryTargetTime":{"type":"string","format":"date-time","description":"Returned as an ISO 8601 timestamp that identifies the latest possible point in time to which the cluster can be restored.\nIf the backup can be restored up to the current time, this field is null.\n"},"location":{"$ref":"#/components/schemas/BackupLocationName"}}},"BackupLocationName":{"description":"The Object Storage location where the backup is created. The BackupLocations operations provide a list of supported locations.\n","type":"string"},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/backups/{backupId}":{"get":{"operationId":"backupsFindById","summary":"Retrieve Backup","tags":["Backups"],"description":"Returns the Backup by ID.","parameters":[{"name":"backupId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Backup."}],"responses":{"200":{"description":"Getting Backup was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/databases/postgresql-v2/backups/retrieve-backup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
